/****************/
/* Mobile-First */
/****************/
* {
    /* width inclusive of padding and border */
    box-sizing: border-box;
}
body {
    padding: 0px;
    font-family: Arial, Helvetica, sans-serif;
    color: #000055;
    background: #ff6600;
}
img {
    width: 100%;
	border-radius: 4px;
    border: 1px solid #808080;
}
/* Tables */
table {
    border-collapse: collapse;
}
th, td {
    vertical-align: top;
    text-align: left;
    padding: 2px 15px 2px 0px;
    border-bottom: 1px solid #ff6600;
}
th {
    padding: 20px 15px 2px 0px;
}

/* Define Header and Footer classes */
.header {
    margin-top: 8px;
    margin-left: 8px;
    margin-right: 8px;
    padding: 7px;
    background: #ffffb2;
    text-align: center;
    box-shadow: 4px 4px 4px #000000;
}
.header img {
    width: 70px;
    float: left;
    border: initial;
}
.header h1 {
    font-size: 20px;
}
.header h2 {
    font-size: 10px;
	font-style: italic;
}
.footer {
    margin-left: 8px;
    margin-right: 8px;
    margin-bottom: 8px;
    padding: 20px;
    background: #ffffb2;
    text-align: center;
    box-shadow: 4px 4px 4px #000000;
}

/* Listen Button */
.listen-button {
    background-color: #ff6600;
    color: #ffff00;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    float: right;
    margin: 8px 5px;
    border: 1px solid #000099;
    border-radius: 15px;
    width: 50px;
    height: 50px;
    padding: 0px;
    font-size: 12px;
}
.speaker-icon {
    font-size: 22px;
}

/* Define Top Navigation Bar */
.topnav {
    margin-left: 8px;
    margin-right: 8px;
    margin-bottom: 8px;
    background-color: #0000ff;
    overflow: hidden;
    box-shadow: 4px 4px 4px #000000;
}
/* Style the topnav links */
.topnav a {
    display: none;
    padding: 5px 8px;
    color: #ffffb2;
    text-align: center;
    text-decoration: none;
    float: left;
}
/* Change colour on hover */
.topnav a:hover {
    background-color: #ff6600;
    color: #0000ff;
}
/* Hamburger */
.topnav .hamburger {
  font-size: 18px;
  display: block;
}

/* Side Navigation Menu */
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 15px;
}
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 18px;
  color: #ff6600;
  display: block;
  transition: 0.2s;
}
.sidenav a:hover {
  color: #ffffb2;
}
.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* One column for mobile, expandable to two */
.column.wide, .column.narrow {
    width: 100%;
}
/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Card class */
.card {
    margin: 8px;
    padding: 20px;
    background-color: #ffffb2;
    box-shadow: 4px 4px 4px #000000;
}
.card a {
    color: #0000ff;
    text-decoration: none;
}
.card a:hover {
    color: #ffffb2;
    background-color: #ff6600;
    text-decoration: none;
}

/* Programe Schedule */
.live {
    color: #0000ff;
}
.repeat {
    color: #ff6600;
}
.recorded {
    color: #000055;
}

/* Volunteers Page */
.volunteer {
    float: left;
	font-size: 16px !important;
	text-align: center;
	margin-bottom: 10px;
	margin-left: 5px;
	margin-right: 5px;
	margin-top: 5px;
}
.volunteer img {
    border: 1px solid #000055;
    border-radius: 8px;
    width: 150px;
}
.gallery:after {
    content: "";
    display: table;
    clear: both;
}

/* Football Page */
.coverage {
    color: #0000ff;
}
.no-cover {
    color: #000055;
}
.footy-logo {
    padding: 20px 15px 0px 15px;
    border: 0px;
    width: 120px;
}

/* Enginerering Page */
.engineering {
  background-color: #111;
  padding-top: 15px;
  color: #ff6600;
  font-family: Arial, Helvetica, sans-serif;
}
.engineering-balloon {
  margin: 15px;
  padding: 15px;
  background-color: #111;
  border-color: #ff6600;
  border-style: solid;
  border-width: 4px;
  border-radius: 8px;
  text-align: center;
}
.engineering a {
  color: #ff6600;
  text-decoration: none;
  display: block;
  padding: 5px;
  font-size: 28px;
}
.engineering a:hover {
  color: #ffffb2;
}
.engineering-footer {
  text-align: center;
  font-size: 16px;
}

/* Diagnostic Pages */
.balloon{
  margin: 10px;
  padding: 15px;
  background-color: #ff6600;
  border-color: #000055;
  border-style: solid;
  border-width: 4px;
  border-radius: 8px;
  text-align: center;
  font-size: 28px;
}
.diagnostic-footer{
  text-align: center;
  font-size: 14px;
}

/******************/
/* Larger Mobiles */
/******************/
@media screen and (min-height: 550px) {
  .sidenav {padding-top: 60px;}
  .sidenav a {font-size: 25px;}
}

/******************/
/* Tablet screens */
/******************/
@media screen and (min-width: 384px) {
    body {
        padding: 5px;
    }
    .header img {
        width: 100px;
    }
    .header h1 {
        font-size: 28px;
    }
    .header h2 {
        font-size: 14px;
    }
    .topnav a {
        width: initial;
        padding: 5px 8px;
    }
	.topnav .hamburger {
        font-size: 22px;
    }
    .listen-button {
        margin: 10px 8px;
        border: 2px solid #000099;
        border-radius: 20px;
        width: 80px;
        height: 79px;
        padding: 3px;
        font-size: 17px;
    }
    .speaker-icon {
        font-size: 35px;
    }
    .balloon {
        font-size: 35px;
    }
    .engineering {
        padding: 25px;
    }
    .engineering a {
        padding: 10px;
        font-size: 32px;
    }

}

/* Hide Hamburger and enable individual links */
@media screen and (min-width: 600px) {
    .topnav a {
        display: block;
    }
    .topnav a.hamburger {
        display: none;
    }
}

/**************/
/* Desktop PC */
/**************/
@media screen and (min-width: 768px) {
    body {
        padding: 10px;
    }
    .header {
        padding: 30px;
    }
    .header img {
        width: 150px;
    }
    .header h1 {
        font-size: 40px;
    }
    .header h2 {
        font-size: 20px;
    }
    .topnav a {
        padding: 12px 15px;
    }
    .listen-button {
        margin: 10px 10px;
        border: 3px solid #000099;
        border-radius: 30px;
        width: 120px;
        height: 120px;
        padding: 3px;
        font-size: 28px;
    }
    .speaker-icon {
        font-size: 50px;
    }

    /* Two columns */
    .column {
        float: left;
        padding: 1px;
    }
    .column.wide {
        width: 60%;
    }
    .column.narrow {
        width: 40%;
    }
    .engineering {
        padding: 30px;
    }
}
